Summary: Simple process monitor
Name: gnome-system-monitor
Version: 2.20.0
Release: %mkrel 1
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: procman48.png
Source2: procman32.png
Source3: procman16.png

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: libgnome2-devel
BuildRequires: libgtop2.0-devel >= 2.19.3
BuildRequires: libwnck-devel >= 2.5
BuildRequires: gtkmm2.4-devel
BuildRequires: pcre-devel
BuildRequires: gnome-icon-theme >= 2.15.3
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
Obsoletes: procman gtop
Provides: procman = %{version}
Provides: gtop
Requires(post): scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3
Requires: lsb-release

%description
Gnome-system-monitor is a simple process and system monitor.

%prep
%setup -q

%build

%configure2_5x \
    --disable-selinux \
    --disable-libgksu

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
rm -rf %buildroot/var
%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

rm -f $RPM_BUILD_ROOT%{_var}

# Mandriva menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF >  $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
 needs="x11"\
 section="System/Monitoring"\
 title="GNOME System monitor"\
 longtitle="View current processes and monitor system state"\
 command="%{_bindir}/gnome-system-monitor"\
 icon="procman.png" \
 startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}

cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/procman.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/procman.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/procman.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_scrollkeeper
%post_install_gconf_schemas gnome-system-monitor
%{update_menus}

%preun
%preun_uninstall_gconf_schemas gnome-system-monitor

%postun
%clean_scrollkeeper
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc README NEWS AUTHORS
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_bindir}/gnome-system-monitor
%{_datadir}/applications/*
%_datadir/pixmaps/%name
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/%name-C.omf
%{_menudir}/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89319
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - s/Mandrake/Mandriva/

* Wed Aug 29 2007 Götz Waschk <waschk@mandriva.org> 2.19.91.1-1mdv2008.0
+ Revision: 74688
- new version
- no need to call intltoolize

* Sun Aug 26 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 71585
- new version
- fix build

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56654
- new version

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50854
- new version

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 41047
- new version

* Thu Jun 07 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 36605
- fix buildrequires
- new version
- update deps

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32129
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1.1-1mdv2008.0
+ Revision: 14383
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142052
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 2.17.95-2mdv2007.1
+ Revision: 130283
- new version

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 2.17.94-1mdv2007.1
+ Revision: 126910
- fix buildrequires
- new version
- readd omf files

* Sun Feb 25 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 125669
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 118904
- fix buildrequires
- new version
- drop omf files

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.17.6-1mdv2007.1
+ Revision: 112235
- fix buildrequires
- new version
- fix buildrequires

  + Frederic Crozat <fcrozat@mandriva.com>
    - Add dependency on lsb-release for distribution detection

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 2.17.4.2-1mdv2007.1
+ Revision: 100370
- new version

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.4.1-1mdv2007.1
+ Revision: 99062
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 98393
- new version
- fix buildrequires

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 90714
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.2.1-3mdv2007.1
+ Revision: 87963
- fix buildrequires
- bot rebuild
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-2mdv2006.0
+ Revision: 63767
- rebuild
- Import gnome-system-monitor

* Thu Oct 12 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.1
- bump deps
- New version 2.16.1

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Thu Jul 27 2006 Gtz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- fix buildrequires
- New release 2.15.90

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1
- New release 2.15.4

* Sat Jul 01 2006 Götz Waschk <waschk@mandriva.org> 2.15.0-1
- New release 2.15.0

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 2.14.4-1mdv2007.0
- use new macros
- xdg menu
- New release 2.14.4

* Thu May 18 2006 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdk
- New release 2.14.3

* Sun May 07 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdk
- New release 2.14.2

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Remove patch0 (merged upstream)

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-3mdk
- use mkrel
- fix prereq
- Patch0: remove debug output

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.12.2-2mdk
- dop selinux support

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Thu Nov 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Remove patch0 (no longer needed)

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Regenerate patch0 (gotz)

* Sat Apr 23 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.10.1-2mdk
- remove BuildRequires: libgnomesu-devel

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)

* Mon Feb 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.8.3-1mdk
- drop patches 1,2
- New release 2.8.3

* Tue Feb 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk 
- Patch1 (CVS): show user memory
- Patch2 (CVS): fix crash at startup (Mdk bug #12639)

* Tue Dec 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- fix omf file listing
- New release 2.8.1

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- New release 2.8.0

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Fix BuildRequires

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- requires new libwnck and libgtop
- requires new gtop

